MavenでのServlet 3.0の依存関係

FessではTomcat 7の環境を利用しているのだけど、依存関係をいじったら

java.lang.ClassFormatError: Absent Code attribute in method that is not native or abstract in class file javax/servlet/ServletOutputStream

という感じで怒られるようになった…。たぶん、今まで微妙な依存関係でうまくいっていたのかもしれないけど、その辺を変更してしまったため、この問題が起きるようになってしまったのだと思う。ここにも依存関係の話題があるのだけど、今まではServlet API 3.0用に以下の感じで依存関係を記述していた。

javax
javaee-web-api
6.0
provided


これだとうまく行かないようなので、

javax.servlet
javax.servlet-api
3.0.1
provided


と書くことで良いみたい。というわけで、しばらくこれで様子を見てみよう。

カテゴリー: Maven パーマリンク

コメントを残す

メールアドレスが公開されることはありません。

Time limit is exhausted. Please reload the CAPTCHA.